gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ToplevelAccessible

Contents

- Exported types
- Methods
  - getChildren

Description

No description available in the introspection data.

Synopsis

- newtype ToplevelAccessible = ToplevelAccessible (ManagedPtr ToplevelAccessible)
- class (GObject o, IsDescendantOf ToplevelAccessible o) => IsToplevelAccessible o
- toToplevelAccessible :: (MonadIO m, IsToplevelAccessible o) => o -> m ToplevelAccessible
- toplevelAccessibleGetChildren :: (HasCallStack, MonadIO m, IsToplevelAccessible a) => a -> m [Window]

# Exported types

newtype ToplevelAccessible Source #

Memory-managed wrapper type.

Constructors

ToplevelAccessible (ManagedPtr ToplevelAccessible) |

#### Instances

Instances details

Eq ToplevelAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ToplevelAccessible Methods (==) :: ToplevelAccessible -> ToplevelAccessible -> Bool Source # (/=) :: ToplevelAccessible -> ToplevelAccessible -> Bool Source #
GObject ToplevelAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ToplevelAccessible
ManagedPtrNewtype ToplevelAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ToplevelAccessible Methods toManagedPtr :: ToplevelAccessible -> ManagedPtr ToplevelAccessible Source #
TypedObject ToplevelAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ToplevelAccessible Methods glibType :: IO GType Source #
HasParentTypes ToplevelAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ToplevelAccessible
IsGValue (Maybe ToplevelAccessible) Source # | Convert `ToplevelAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ToplevelAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ToplevelAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ToplevelAccessible) Source #
type ParentTypes ToplevelAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ToplevelAccessible type ParentTypes ToplevelAccessible = '[Object, Object]

class (GObject o, IsDescendantOf ToplevelAccessible o) => IsToplevelAccessible o Source #

Type class for types which can be safely cast to `ToplevelAccessible`, for instance with `toToplevelAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ToplevelAccessible o) => IsToplevelAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ToplevelAccessible

toToplevelAccessible :: (MonadIO m, IsToplevelAccessible o) => o -> m ToplevelAccessible Source #

Cast to `ToplevelAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleChild, refRelationSet, refSink, refStateSet, removePropertyChangeHandler, removeRelationship, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAttributes, getChildren, getData, getDescription, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getProperty, getQdata, getRole.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setHelpText, setName, setParent, setProperty, setRole.

## getChildren

toplevelAccessibleGetChildren Source #

Arguments

:: (HasCallStack, MonadIO m, IsToplevelAccessible a) |
=> a |
-> m [Window] | Returns: List of children.

No description available in the introspection data.